# NOTAS CAUDALÍMETRO PROMAG ENDRESS+HAUSER 
## Partes del caudalímetro

El caudalímetro promag de Endress+Hauser utilizado es la versión separada, puesto que otras versiones que no lo son, no cuentan con la versatilidad de montar el transmisor en el sensor o en la pared según se requiera, ventaja de la que dispone esta versión en comparación.
![Fig 1. Imagen ilustrativa de transmisor y sensor usado en el proyecto.]("D:\Users\Joanellie\Escritorio\delfin\F1transmisor_sensor.png" )
## Conexiones
La forma de conexión entre el transmisor y el caudalímetro es mediante 2 cables gruesos que a su vez en su interior contienen cables delgados de distintos colores. Los cables gruesos atraviesan las tuercas de gran tamaño que componen al transmisor y al sensor, siendo 2 tuercas en el sensor (número 2 de la fig. 2) y 5 tuercas en el transmisor.
Las conexiones dentro del sensor se identifican desenroscando la tapa superior del sensor (número 1 de la fig. 2) . Una vez abierta, se pueden apreciar 2 borneras en su interior (número 3 de la fig. 2).
![Fig 2. Composición de piezas internas en el sensor.](D:\Users\Joanellie\Escritorio\delfin\F2sensor_interno.png")
En el transmisor se tienen 2 secciones en cuanto a conexiones dentro de este. Una vez desatornillada la carcasa inferior se tiene en la sección de la izquierda (Fig. 3), una bornera de 2 terminales que servirá para alimentar al equipo y otra bornera de 8 terminales que servirá para interactuar con la comunicación HART del equipo mediante comandos que más adelante se verán. En la sección de la derecha (Fig 4.) se tienen las borneras que comunican el sensor con el transmisor.
![Fig 3. Composición de piezas de la sección izquierda de la parte inferior del transmisor.]("D:\Users\Joanellie\Escritorio\delfin\F3transmisor_interno.png")
![Fig 4. Composición de piezas de la sección derecha de la parte inferior del transmisor.]("D:\Users\Joanellie\Escritorio\delfin\F4transmisor_interno.png")
Una vez comprendidas las partes que componen al sensor y al transmisor, es prudente realizar las conexiones entre ellos como se aprecia en la siguiente figura (Fig. 5).
![Fig 5. Conexiones entre sensor y transmisor.]("D:\Users\Joanellie\Escritorio\delfin\F5conexiones_transmisor_sensor.png")
Como se puede apreciar en la Fig. 5, se conectará cada número de la bornera del sensor al mismo número de la bornera del transmisor (sección derecha). Para ello, se implementa un código de colores en los cables, siendo este el siguiente:
- Terminal número 5 = marrón
- Terminal número 7 = blanco
- Terminal número 4 = verde
- Terminal número 37 = amarillo

Cabe destacar, que se tienen cortos circuitos entre las terminales del transmisor (a excepción de la terminal 4), siendo estas las siguientes:
- Terminal número 5 con 6
- Terminal número 7 con 8
- Terminal número 36 con 37

Estos cortos entre terminales también se pueden apreciar en la Fig 5.
## Alimentación
El transmisor se puede alimentar con corriente continua o corriente alterna. Este soporta las siguientes tensiones:
- 24V en CC
- 24V en CA
- 100V a 240V en CA

La bornera de la tensión de alimentación está ubicada en la parte inferior en la sección izquierda del transmisor. Esta bornera tiene 2 terminales, de las cuales la terminal número 1 se conecta el positivo (+) o fase de la línea, y en la terminal 2 se conecta el negativo (-) o neutro de la línea.
## Protocolo HART
Este protocolo de comunicación industrial, trata una señal digital montada en una señal de alterna. La señal digital funciona mediante modulación FSK, por ende, se tiene que ‘1’ corresponde a 1.2kHz y ‘0’ corresponde a 2.2kHz. Por otro lado la señal analógica va desde los 4mA a 20mA.
El transmisor es capaz de comunicarse mediante este protocolo, para probar la señal saliente del protocolo HART, primeramente se conecta una resistencia ≥250Ω en las terminales 36 y 37 de la bornera de la parte inferior izquierda del transmisor.
Esta señal es imperceptible sin un caudal atravesando el sensor, por lo que es pertinente usar el modo de simulación para lograr captar la señal sin poner en funcionamiento en una tubería el caudalímetro.

## Simulación
La interfaz del transmisor puede manipularse por dos formas: mediante los botones debajo de la pantalla o mediante un módem HART (ej. Commubox FXA-195). Si se elige la segunda opción, será necesario descargar un software para interactuar desde la computadora conectada con el módem HART.
Los botones para navegar a través de la pantalla son únicamente 3. Manipulándolos lograremos obtener diversas configuraciones del dispositivo.
![Fig 6. Elementos de indicación y configuración del transmisor.]("D:\Users\Joanellie\Escritorio\delfin\F6botones_transmisor.png")
Primeramente, se tiene una pantalla que permite visualizar los valores medidos o indicados al navegar en la configuración (número 1 de la Fig. 6). El primer renglón presenta los valores de medición primarios, mientras que el segundo renglón presenta variables medidas adicionales variables de estado.
Posteriormente se cuentan con 3 botones. Los botones de ‘+’ y ‘-’ (número 2 de Fig. 6) generan las siguientes acciones:
- Generar una selección ascendente o descendente en el menú
- Introducir valores numéricos
- En caso de presionarse al mismo tiempo por unos cuantos segundos, retornarás al submenú anterior.

Para seleccionar o ingresar a alguna configuración, se presiona ‘E’ (número 3 de la Fig. 6).
Una vez entendiendo la navegación dentro del transmisor, las instrucciones para entrar al modo simulación es bastante sencillo:
1.	Alimentar el transmisor.
2.	Esperar a una serie de mensajes hasta que aparezcan los renglones de la Fig. 6 de la pantalla.
3.	Presionar ‘E’ para acceder a la configuración.
4.	Desplazarse con ‘+’ o ‘-’ hasta posicionarse en “SIMULAC. SISTEMA” y presionar ‘E’ para ingresar.
5.	Presionar nuevamente ‘E’ para pasar al siguiente parámetro “SIM. MEDICIÓN”.
6.	Presionar ‘+’ para pasar de “desactivado” a “caudal volum.”. Si solicita un código de acceso, por defecto este este es “0050”, al ingresar el código desactivamos la protección contra cambios importantes manipulables para pasar al modo programación.
7.	Seleccionar “caudal volum.” y elegir la cantidad de caudal que se desea simular, así como otros parámetros deseados. Presionar ‘E’ al terminar y se guardarán en memoria para simular.

Una vez realizados estos pasos, es posible obtener una señal de 4-20mA (dependiendo del caudal simulado) en las terminales 36 y 37 correspondientes a la salida de la comunicación HART.
Para verificar lo anterior, conectar una resistencia de la terminal 36 a la terminal 37 y medir en paralelo a esta. Se obtendrá cierto voltaje variable que mediante ley de ohm, se corroboran los 4-20mA.
| Caudal Volumétrico (L/s) | Voltaje (V) |Amperaje (mA) |
|--------------------------|-------------|--------------|
|           0	           |       1.3	 |      4.84    |
|           1	           |       1.7	 |      6.33    |
|           2	           |       2.10	 |      7.82    |
|           3       	   |       2.50	 |      9.31    |
|           4	           |       3.10	 |      11.54   |
|           5	           |       3.50	 |      13.04   |
|           6	           |       3.90	 |      14.53   |
|           7	           |       4.30	 |      16.02   |
|           8	           |       4.70	 |      17.51   |
|           9	           |       5.10	 |      19.00   |
|           10	           |       5.50	 |      20.49   |
|           11	           |       5.70	 |      21.23   |
|           12	           |       5.70	 |      21.23   |
|           13	           |       5.70	 |      21.23   |
Tabla 1. Valores registrados de voltaje y amperaje dado cierto caudal volumétrico en modo simulación.

Para lograr operar con el Commubox los requisitos son tener instalado en la computadora alguno de los siguientes softwares:
- FieldCare
- Servidor OPC HART
- ReadWin 2000

Además, tener algunos de los siguientes sistemas operativos:
- Windows XP
- Windows Server 2000
- Windows Vista
- Windows 7

Terminar instalación FieldCare: https://www.youtube.com/watch?v=JB7ment5A3I















